import { Component } from '@angular/core';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  title = 'wijmo-start';
  data = this.getData();
  selectionChanged(s:any,e:any){
    console.log("selection Changed");
  }
  getData(){
    var countries = "US,UK,Japan,Span,India".split(",");
    let data=[];
    for(let i =0;i<countries.length;i++){
      data.push({
        id:i,
        country:countries[i],
        sales:Math.random()*1000
      })
    }
    return data;
  }
}
